// function that creates BytescoutPDF instance (defined in BytescoutPDF.js script which have to be included into the same page)
// then calls API methods and properties to create PDF document
// and returns created BytescoutPDF object instance
// this CreatePDF() function is called from Sample.html
// IsInternetExplorer8OrLower parameter indicates if we use IE8 or lower so we CAN'T use images (as it requires HTML5 Canvas available in IE9 or higher). Other browsers should be working fine

// IMPORTANT ABOUT IMAGES: 
// When using Firefox or IE, pdf generation may fail because images are not accessible when pdf generation works
// the solution for this issue is to preload images in main HTML document before running PDF generation
// to preload images, put them into hidden div block "pdfreportimages" - you can see it in the sample.html right after <body> opening tag


function CreatePDF(IsInternetExplorer8OrLower) {

    // create BytescoutPDF object instance
    var pdf = new BytescoutPDF();

    var documentTitle = "Sample document title";
    var documentSubject = "Sample subject";
    var documentkeywords = "keyword1, keyword 2, keyword3";
    var documentAuthor = "Document Author Name";
    var documentCreator = "Document Creator Name";

    // set document properties: Title, subject, keywords, author name and creator name
    pdf.propertiesSet(documentTitle, documentSubject, documentkeywords, documentAuthor, documentCreator);

    // add empty page
    pdf.pageAdd();
    
    pdf.textAdd(20, 20, 'Document properties are set.', 0);

    // return BytescoutPDF object instance
    return pdf;
}
